package nsdb;

/** stream-based skeleton class */

import org.omg.PortableServer.POA;
public class NucFeatureWriterPOATie
	extends NucFeatureWriterPOA
{
	private NucFeatureWriterOperations _delegate;

	private POA _poa;
	public NucFeatureWriterPOATie(NucFeatureWriterOperations delegate)
	{
		_delegate = delegate;
	}
	public NucFeatureWriterPOATie(NucFeatureWriterOperations delegate, POA poa)
	{
		_delegate = delegate;
		_poa = poa;
	}
	public nsdb.NucFeatureWriter _this()
	{
		return nsdb.NucFeatureWriterHelper.narrow(_this_object());
	}
	public nsdb.NucFeatureWriter _this(org.omg.CORBA.ORB orb)
	{
		return nsdb.NucFeatureWriterHelper.narrow(_this_object(orb));
	}
	public NucFeatureWriterOperations _delegate()
	{
		return _delegate;
	}
	public void _delegate(NucFeatureWriterOperations delegate)
	{
		_delegate = delegate;
	}
	public nsdb.Datestamp getDatestamp()
	{
		return _delegate.getDatestamp();
	}

	public nsdb.NucFeaturePackage.Qualifier[] getQualifiers() throws type.NoResult
	{
		return _delegate.getQualifiers();
	}

	public void set(nsdb.Datestamp datestamp, java.lang.String key, java.lang.String location, nsdb.NucFeaturePackage.Qualifier[] qualifier_list) throws nsdb.InvalidKey,nsdb.LocationParse,type.IndexOutOfRange,type.InvalidRelation,nsdb.QualifierParse,nsdb.InvalidQualifier,nsdb.OutOfDate,nsdb.ReadOnlyException
	{
_delegate.set(datestamp,key,location,qualifier_list);
	}

	public type.DbXref[] getNucSeqs()
	{
		return _delegate.getNucSeqs();
	}

	public void setLocation(nsdb.Datestamp datestamp, java.lang.String location) throws nsdb.LocationParse,type.IndexOutOfRange,nsdb.OutOfDate,nsdb.ReadOnlyException
	{
_delegate.setLocation(datestamp,location);
	}

	public java.lang.String getFeatureId()
	{
		return _delegate.getFeatureId();
	}

	public void removeQualiferByName(nsdb.Datestamp datestamp, java.lang.String name) throws type.InvalidRelation,nsdb.OutOfDate,nsdb.ReadOnlyException
	{
_delegate.removeQualiferByName(datestamp,name);
	}

	public void setKey(nsdb.Datestamp datestamp, java.lang.String key) throws nsdb.InvalidKey,type.InvalidRelation,nsdb.OutOfDate,nsdb.ReadOnlyException
	{
_delegate.setKey(datestamp,key);
	}

	public nsdb.FeatureLocation getLocation() throws type.NoResult
	{
		return _delegate.getLocation();
	}

	public nsdb.NucFeaturePackage.Qualifier getQualifier(java.lang.String qualifier_name) throws type.NoResult,type.InvalidRelation
	{
		return _delegate.getQualifier(qualifier_name);
	}

	public void setQualifiers(nsdb.Datestamp datestamp, nsdb.NucFeaturePackage.Qualifier[] qualifier_list) throws type.InvalidRelation,nsdb.QualifierParse,nsdb.InvalidQualifier,nsdb.OutOfDate,nsdb.ReadOnlyException
	{
_delegate.setQualifiers(datestamp,qualifier_list);
	}

	public int getFeatureVersion()
	{
		return _delegate.getFeatureVersion();
	}

	public void setQualifier(nsdb.Datestamp datestamp, nsdb.NucFeaturePackage.Qualifier qualifier) throws type.InvalidRelation,nsdb.QualifierParse,nsdb.InvalidQualifier,nsdb.OutOfDate,nsdb.ReadOnlyException
	{
_delegate.setQualifier(datestamp,qualifier);
	}

	public java.lang.String getKey()
	{
		return _delegate.getKey();
	}

}
